
package com.google.api.ads.adwords.jaxws.v201209.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UserList.Type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="UserList.Type">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="EXTERNAL_REMARKETING"/>
 *     &lt;enumeration value="LOGICAL"/>
 *     &lt;enumeration value="REMARKETING"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "UserList.Type")
@XmlEnum
public enum UserListType {


    /**
     * 
     *                 User list created by DoubleClick.
     *               
     * 
     */
    EXTERNAL_REMARKETING,

    /**
     * 
     *                 UserList represented as a combination of other user lists/interests.
     *               
     * 
     */
    LOGICAL,

    /**
     * 
     *                 UserList represented as a collection of conversion types.
     *               
     * 
     */
    REMARKETING,

    /**
     * 
     *                 UNKNOWN value can not be passed as input.
     *                 <span class="constraint Rejected">Used for return value only. An enumeration could not be processed, typically due to incompatibility with your WSDL version.</span>
     *               
     * 
     */
    UNKNOWN;

    public String value() {
        return name();
    }

    public static UserListType fromValue(String v) {
        return valueOf(v);
    }

}
