
package com.google.api.ads.adwords.jaxws.v201209.video;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             A SegmentKey for geographical segmentation.
 *           
 * 
 * <p>Java class for GeoKey complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GeoKey">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="CountryKey" type="{https://adwords.google.com/api/adwords/video/v201209}CountryKey"/>
 *         &lt;element name="MetroKey" type="{https://adwords.google.com/api/adwords/video/v201209}MetroKey"/>
 *         &lt;element name="RegionKey" type="{https://adwords.google.com/api/adwords/video/v201209}RegionKey"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GeoKey", propOrder = {
    "countryKey",
    "metroKey",
    "regionKey"
})
public class GeoKey {

    @XmlElement(name = "CountryKey")
    protected CountryKey countryKey;
    @XmlElement(name = "MetroKey")
    protected MetroKey metroKey;
    @XmlElement(name = "RegionKey")
    protected RegionKey regionKey;

    /**
     * Gets the value of the countryKey property.
     * 
     * @return
     *     possible object is
     *     {@link CountryKey }
     *     
     */
    public CountryKey getCountryKey() {
        return countryKey;
    }

    /**
     * Sets the value of the countryKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link CountryKey }
     *     
     */
    public void setCountryKey(CountryKey value) {
        this.countryKey = value;
    }

    /**
     * Gets the value of the metroKey property.
     * 
     * @return
     *     possible object is
     *     {@link MetroKey }
     *     
     */
    public MetroKey getMetroKey() {
        return metroKey;
    }

    /**
     * Sets the value of the metroKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link MetroKey }
     *     
     */
    public void setMetroKey(MetroKey value) {
        this.metroKey = value;
    }

    /**
     * Gets the value of the regionKey property.
     * 
     * @return
     *     possible object is
     *     {@link RegionKey }
     *     
     */
    public RegionKey getRegionKey() {
        return regionKey;
    }

    /**
     * Sets the value of the regionKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegionKey }
     *     
     */
    public void setRegionKey(RegionKey value) {
        this.regionKey = value;
    }

}
