
package com.google.api.ads.adwords.jaxws.v201209.video;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import com.google.api.ads.adwords.jaxws.v201209.cm.ApiException;
import com.google.api.ads.adwords.jaxws.v201209.cm.SoapHeader;
import com.google.api.ads.adwords.jaxws.v201209.cm.SoapResponseHeader;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.google.api.ads.adwords.jaxws.v201209.video package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ApiExceptionFault_QNAME = new QName("https://adwords.google.com/api/adwords/video/v201209", "ApiExceptionFault");
    private final static QName _RequestHeader_QNAME = new QName("https://adwords.google.com/api/adwords/video/v201209", "RequestHeader");
    private final static QName _ResponseHeader_QNAME = new QName("https://adwords.google.com/api/adwords/video/v201209", "ResponseHeader");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.google.api.ads.adwords.jaxws.v201209.video
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link VideoTargetingGroupServiceInterfacemutateResponse }
     * 
     */
    public VideoTargetingGroupServiceInterfacemutateResponse createVideoTargetingGroupServiceInterfacemutateResponse() {
        return new VideoTargetingGroupServiceInterfacemutateResponse();
    }

    /**
     * Create an instance of {@link VideoTargetingGroupServiceInterfaceget }
     * 
     */
    public VideoTargetingGroupServiceInterfaceget createVideoTargetingGroupServiceInterfaceget() {
        return new VideoTargetingGroupServiceInterfaceget();
    }

    /**
     * Create an instance of {@link VideoTargetingGroupServiceInterfacegetResponse }
     * 
     */
    public VideoTargetingGroupServiceInterfacegetResponse createVideoTargetingGroupServiceInterfacegetResponse() {
        return new VideoTargetingGroupServiceInterfacegetResponse();
    }

    /**
     * Create an instance of {@link VideoTargetingGroupServiceInterfacemutate }
     * 
     */
    public VideoTargetingGroupServiceInterfacemutate createVideoTargetingGroupServiceInterfacemutate() {
        return new VideoTargetingGroupServiceInterfacemutate();
    }

    /**
     * Create an instance of {@link DayOfWeekKey }
     * 
     */
    public DayOfWeekKey createDayOfWeekKey() {
        return new DayOfWeekKey();
    }

    /**
     * Create an instance of {@link ServingInfo }
     * 
     */
    public ServingInfo createServingInfo() {
        return new ServingInfo();
    }

    /**
     * Create an instance of {@link Sortable }
     * 
     */
    public Sortable createSortable() {
        return new Sortable();
    }

    /**
     * Create an instance of {@link ScopedBids }
     * 
     */
    public ScopedBids createScopedBids() {
        return new ScopedBids();
    }

    /**
     * Create an instance of {@link StatsSelector }
     * 
     */
    public StatsSelector createStatsSelector() {
        return new StatsSelector();
    }

    /**
     * Create an instance of {@link DateKey }
     * 
     */
    public DateKey createDateKey() {
        return new DateKey();
    }

    /**
     * Create an instance of {@link TargetingGroupError }
     * 
     */
    public TargetingGroupError createTargetingGroupError() {
        return new TargetingGroupError();
    }

    /**
     * Create an instance of {@link ReportError }
     * 
     */
    public ReportError createReportError() {
        return new ReportError();
    }

    /**
     * Create an instance of {@link DisplayFormatKey }
     * 
     */
    public DisplayFormatKey createDisplayFormatKey() {
        return new DisplayFormatKey();
    }

    /**
     * Create an instance of {@link TimeSeriesError }
     * 
     */
    public TimeSeriesError createTimeSeriesError() {
        return new TimeSeriesError();
    }

    /**
     * Create an instance of {@link VideoBid }
     * 
     */
    public VideoBid createVideoBid() {
        return new VideoBid();
    }

    /**
     * Create an instance of {@link TargetingScopeVideoBidMapEntry }
     * 
     */
    public TargetingScopeVideoBidMapEntry createTargetingScopeVideoBidMapEntry() {
        return new TargetingScopeVideoBidMapEntry();
    }

    /**
     * Create an instance of {@link NetworkKey }
     * 
     */
    public NetworkKey createNetworkKey() {
        return new NetworkKey();
    }

    /**
     * Create an instance of {@link TargetingGroup }
     * 
     */
    public TargetingGroup createTargetingGroup() {
        return new TargetingGroup();
    }

    /**
     * Create an instance of {@link VideoBiddingError }
     * 
     */
    public VideoBiddingError createVideoBiddingError() {
        return new VideoBiddingError();
    }

    /**
     * Create an instance of {@link DeviceKey }
     * 
     */
    public DeviceKey createDeviceKey() {
        return new DeviceKey();
    }

    /**
     * Create an instance of {@link VideoAdKey }
     * 
     */
    public VideoAdKey createVideoAdKey() {
        return new VideoAdKey();
    }

    /**
     * Create an instance of {@link TargetingGroupPage }
     * 
     */
    public TargetingGroupPage createTargetingGroupPage() {
        return new TargetingGroupPage();
    }

    /**
     * Create an instance of {@link SortingError }
     * 
     */
    public SortingError createSortingError() {
        return new SortingError();
    }

    /**
     * Create an instance of {@link RegionKey }
     * 
     */
    public RegionKey createRegionKey() {
        return new RegionKey();
    }

    /**
     * Create an instance of {@link TargetingGroupKey }
     * 
     */
    public TargetingGroupKey createTargetingGroupKey() {
        return new TargetingGroupKey();
    }

    /**
     * Create an instance of {@link VideoEntityStats }
     * 
     */
    public VideoEntityStats createVideoEntityStats() {
        return new VideoEntityStats();
    }

    /**
     * Create an instance of {@link MetroKey }
     * 
     */
    public MetroKey createMetroKey() {
        return new MetroKey();
    }

    /**
     * Create an instance of {@link SegmentationError }
     * 
     */
    public SegmentationError createSegmentationError() {
        return new SegmentationError();
    }

    /**
     * Create an instance of {@link Sorting }
     * 
     */
    public Sorting createSorting() {
        return new Sorting();
    }

    /**
     * Create an instance of {@link DisplayFormatNetworkKey }
     * 
     */
    public DisplayFormatNetworkKey createDisplayFormatNetworkKey() {
        return new DisplayFormatNetworkKey();
    }

    /**
     * Create an instance of {@link GeoKey }
     * 
     */
    public GeoKey createGeoKey() {
        return new GeoKey();
    }

    /**
     * Create an instance of {@link EntityNotFoundError }
     * 
     */
    public EntityNotFoundError createEntityNotFoundError() {
        return new EntityNotFoundError();
    }

    /**
     * Create an instance of {@link PaidViewsKey }
     * 
     */
    public PaidViewsKey createPaidViewsKey() {
        return new PaidViewsKey();
    }

    /**
     * Create an instance of {@link CampaignKey }
     * 
     */
    public CampaignKey createCampaignKey() {
        return new CampaignKey();
    }

    /**
     * Create an instance of {@link SegmentKey }
     * 
     */
    public SegmentKey createSegmentKey() {
        return new SegmentKey();
    }

    /**
     * Create an instance of {@link TargetingGroupSelector }
     * 
     */
    public TargetingGroupSelector createTargetingGroupSelector() {
        return new TargetingGroupSelector();
    }

    /**
     * Create an instance of {@link AdsApiError }
     * 
     */
    public AdsApiError createAdsApiError() {
        return new AdsApiError();
    }

    /**
     * Create an instance of {@link ServingIssue }
     * 
     */
    public ServingIssue createServingIssue() {
        return new ServingIssue();
    }

    /**
     * Create an instance of {@link TargetingGroupOperation }
     * 
     */
    public TargetingGroupOperation createTargetingGroupOperation() {
        return new TargetingGroupOperation();
    }

    /**
     * Create an instance of {@link AccessError }
     * 
     */
    public AccessError createAccessError() {
        return new AccessError();
    }

    /**
     * Create an instance of {@link TargetingGroupReturnValue }
     * 
     */
    public TargetingGroupReturnValue createTargetingGroupReturnValue() {
        return new TargetingGroupReturnValue();
    }

    /**
     * Create an instance of {@link DisplayFormatTypeKey }
     * 
     */
    public DisplayFormatTypeKey createDisplayFormatTypeKey() {
        return new DisplayFormatTypeKey();
    }

    /**
     * Create an instance of {@link IntegerLongMapEntry }
     * 
     */
    public IntegerLongMapEntry createIntegerLongMapEntry() {
        return new IntegerLongMapEntry();
    }

    /**
     * Create an instance of {@link CountryKey }
     * 
     */
    public CountryKey createCountryKey() {
        return new CountryKey();
    }

    /**
     * Create an instance of {@link HourOfDayKey }
     * 
     */
    public HourOfDayKey createHourOfDayKey() {
        return new HourOfDayKey();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ApiException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "https://adwords.google.com/api/adwords/video/v201209", name = "ApiExceptionFault")
    public JAXBElement<ApiException> createApiExceptionFault(ApiException value) {
        return new JAXBElement<ApiException>(_ApiExceptionFault_QNAME, ApiException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SoapHeader }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "https://adwords.google.com/api/adwords/video/v201209", name = "RequestHeader")
    public JAXBElement<SoapHeader> createRequestHeader(SoapHeader value) {
        return new JAXBElement<SoapHeader>(_RequestHeader_QNAME, SoapHeader.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SoapResponseHeader }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "https://adwords.google.com/api/adwords/video/v201209", name = "ResponseHeader")
    public JAXBElement<SoapResponseHeader> createResponseHeader(SoapResponseHeader value) {
        return new JAXBElement<SoapResponseHeader>(_ResponseHeader_QNAME, SoapResponseHeader.class, null, value);
    }

}
