
package com.google.api.ads.adwords.jaxws.v201209.video;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents one value in a dimension for a segmented entity (e.g. one country in the dimension
 *             Geo for a campaign segmented by Geo).
 *           
 * 
 * <p>Java class for SegmentKey complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SegmentKey">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="CampaignKey" type="{https://adwords.google.com/api/adwords/video/v201209}CampaignKey"/>
 *         &lt;element name="CountryKey" type="{https://adwords.google.com/api/adwords/video/v201209}CountryKey"/>
 *         &lt;element name="DateKey" type="{https://adwords.google.com/api/adwords/video/v201209}DateKey"/>
 *         &lt;element name="DayOfWeekKey" type="{https://adwords.google.com/api/adwords/video/v201209}DayOfWeekKey"/>
 *         &lt;element name="DeviceKey" type="{https://adwords.google.com/api/adwords/video/v201209}DeviceKey"/>
 *         &lt;element name="DisplayFormatKey" type="{https://adwords.google.com/api/adwords/video/v201209}DisplayFormatKey"/>
 *         &lt;element name="DisplayFormatNetworkKey" type="{https://adwords.google.com/api/adwords/video/v201209}DisplayFormatNetworkKey"/>
 *         &lt;element name="DisplayFormatTypeKey" type="{https://adwords.google.com/api/adwords/video/v201209}DisplayFormatTypeKey"/>
 *         &lt;element name="GeoKey" type="{https://adwords.google.com/api/adwords/video/v201209}GeoKey"/>
 *         &lt;element name="HourOfDayKey" type="{https://adwords.google.com/api/adwords/video/v201209}HourOfDayKey"/>
 *         &lt;element name="MetroKey" type="{https://adwords.google.com/api/adwords/video/v201209}MetroKey"/>
 *         &lt;element name="NetworkKey" type="{https://adwords.google.com/api/adwords/video/v201209}NetworkKey"/>
 *         &lt;element name="PaidViewsKey" type="{https://adwords.google.com/api/adwords/video/v201209}PaidViewsKey"/>
 *         &lt;element name="RegionKey" type="{https://adwords.google.com/api/adwords/video/v201209}RegionKey"/>
 *         &lt;element name="TargetingGroupKey" type="{https://adwords.google.com/api/adwords/video/v201209}TargetingGroupKey"/>
 *         &lt;element name="VideoAdKey" type="{https://adwords.google.com/api/adwords/video/v201209}VideoAdKey"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SegmentKey", propOrder = {
    "campaignKey",
    "countryKey",
    "dateKey",
    "dayOfWeekKey",
    "deviceKey",
    "displayFormatKey",
    "displayFormatNetworkKey",
    "displayFormatTypeKey",
    "geoKey",
    "hourOfDayKey",
    "metroKey",
    "networkKey",
    "paidViewsKey",
    "regionKey",
    "targetingGroupKey",
    "videoAdKey"
})
public class SegmentKey {

    @XmlElement(name = "CampaignKey")
    protected CampaignKey campaignKey;
    @XmlElement(name = "CountryKey")
    protected CountryKey countryKey;
    @XmlElement(name = "DateKey")
    protected DateKey dateKey;
    @XmlElement(name = "DayOfWeekKey")
    protected DayOfWeekKey dayOfWeekKey;
    @XmlElement(name = "DeviceKey")
    protected DeviceKey deviceKey;
    @XmlElement(name = "DisplayFormatKey")
    protected DisplayFormatKey displayFormatKey;
    @XmlElement(name = "DisplayFormatNetworkKey")
    protected DisplayFormatNetworkKey displayFormatNetworkKey;
    @XmlElement(name = "DisplayFormatTypeKey")
    protected DisplayFormatTypeKey displayFormatTypeKey;
    @XmlElement(name = "GeoKey")
    protected GeoKey geoKey;
    @XmlElement(name = "HourOfDayKey")
    protected HourOfDayKey hourOfDayKey;
    @XmlElement(name = "MetroKey")
    protected MetroKey metroKey;
    @XmlElement(name = "NetworkKey")
    protected NetworkKey networkKey;
    @XmlElement(name = "PaidViewsKey")
    protected PaidViewsKey paidViewsKey;
    @XmlElement(name = "RegionKey")
    protected RegionKey regionKey;
    @XmlElement(name = "TargetingGroupKey")
    protected TargetingGroupKey targetingGroupKey;
    @XmlElement(name = "VideoAdKey")
    protected VideoAdKey videoAdKey;

    /**
     * Gets the value of the campaignKey property.
     * 
     * @return
     *     possible object is
     *     {@link CampaignKey }
     *     
     */
    public CampaignKey getCampaignKey() {
        return campaignKey;
    }

    /**
     * Sets the value of the campaignKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link CampaignKey }
     *     
     */
    public void setCampaignKey(CampaignKey value) {
        this.campaignKey = value;
    }

    /**
     * Gets the value of the countryKey property.
     * 
     * @return
     *     possible object is
     *     {@link CountryKey }
     *     
     */
    public CountryKey getCountryKey() {
        return countryKey;
    }

    /**
     * Sets the value of the countryKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link CountryKey }
     *     
     */
    public void setCountryKey(CountryKey value) {
        this.countryKey = value;
    }

    /**
     * Gets the value of the dateKey property.
     * 
     * @return
     *     possible object is
     *     {@link DateKey }
     *     
     */
    public DateKey getDateKey() {
        return dateKey;
    }

    /**
     * Sets the value of the dateKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link DateKey }
     *     
     */
    public void setDateKey(DateKey value) {
        this.dateKey = value;
    }

    /**
     * Gets the value of the dayOfWeekKey property.
     * 
     * @return
     *     possible object is
     *     {@link DayOfWeekKey }
     *     
     */
    public DayOfWeekKey getDayOfWeekKey() {
        return dayOfWeekKey;
    }

    /**
     * Sets the value of the dayOfWeekKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link DayOfWeekKey }
     *     
     */
    public void setDayOfWeekKey(DayOfWeekKey value) {
        this.dayOfWeekKey = value;
    }

    /**
     * Gets the value of the deviceKey property.
     * 
     * @return
     *     possible object is
     *     {@link DeviceKey }
     *     
     */
    public DeviceKey getDeviceKey() {
        return deviceKey;
    }

    /**
     * Sets the value of the deviceKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeviceKey }
     *     
     */
    public void setDeviceKey(DeviceKey value) {
        this.deviceKey = value;
    }

    /**
     * Gets the value of the displayFormatKey property.
     * 
     * @return
     *     possible object is
     *     {@link DisplayFormatKey }
     *     
     */
    public DisplayFormatKey getDisplayFormatKey() {
        return displayFormatKey;
    }

    /**
     * Sets the value of the displayFormatKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisplayFormatKey }
     *     
     */
    public void setDisplayFormatKey(DisplayFormatKey value) {
        this.displayFormatKey = value;
    }

    /**
     * Gets the value of the displayFormatNetworkKey property.
     * 
     * @return
     *     possible object is
     *     {@link DisplayFormatNetworkKey }
     *     
     */
    public DisplayFormatNetworkKey getDisplayFormatNetworkKey() {
        return displayFormatNetworkKey;
    }

    /**
     * Sets the value of the displayFormatNetworkKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisplayFormatNetworkKey }
     *     
     */
    public void setDisplayFormatNetworkKey(DisplayFormatNetworkKey value) {
        this.displayFormatNetworkKey = value;
    }

    /**
     * Gets the value of the displayFormatTypeKey property.
     * 
     * @return
     *     possible object is
     *     {@link DisplayFormatTypeKey }
     *     
     */
    public DisplayFormatTypeKey getDisplayFormatTypeKey() {
        return displayFormatTypeKey;
    }

    /**
     * Sets the value of the displayFormatTypeKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisplayFormatTypeKey }
     *     
     */
    public void setDisplayFormatTypeKey(DisplayFormatTypeKey value) {
        this.displayFormatTypeKey = value;
    }

    /**
     * Gets the value of the geoKey property.
     * 
     * @return
     *     possible object is
     *     {@link GeoKey }
     *     
     */
    public GeoKey getGeoKey() {
        return geoKey;
    }

    /**
     * Sets the value of the geoKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link GeoKey }
     *     
     */
    public void setGeoKey(GeoKey value) {
        this.geoKey = value;
    }

    /**
     * Gets the value of the hourOfDayKey property.
     * 
     * @return
     *     possible object is
     *     {@link HourOfDayKey }
     *     
     */
    public HourOfDayKey getHourOfDayKey() {
        return hourOfDayKey;
    }

    /**
     * Sets the value of the hourOfDayKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link HourOfDayKey }
     *     
     */
    public void setHourOfDayKey(HourOfDayKey value) {
        this.hourOfDayKey = value;
    }

    /**
     * Gets the value of the metroKey property.
     * 
     * @return
     *     possible object is
     *     {@link MetroKey }
     *     
     */
    public MetroKey getMetroKey() {
        return metroKey;
    }

    /**
     * Sets the value of the metroKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link MetroKey }
     *     
     */
    public void setMetroKey(MetroKey value) {
        this.metroKey = value;
    }

    /**
     * Gets the value of the networkKey property.
     * 
     * @return
     *     possible object is
     *     {@link NetworkKey }
     *     
     */
    public NetworkKey getNetworkKey() {
        return networkKey;
    }

    /**
     * Sets the value of the networkKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link NetworkKey }
     *     
     */
    public void setNetworkKey(NetworkKey value) {
        this.networkKey = value;
    }

    /**
     * Gets the value of the paidViewsKey property.
     * 
     * @return
     *     possible object is
     *     {@link PaidViewsKey }
     *     
     */
    public PaidViewsKey getPaidViewsKey() {
        return paidViewsKey;
    }

    /**
     * Sets the value of the paidViewsKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link PaidViewsKey }
     *     
     */
    public void setPaidViewsKey(PaidViewsKey value) {
        this.paidViewsKey = value;
    }

    /**
     * Gets the value of the regionKey property.
     * 
     * @return
     *     possible object is
     *     {@link RegionKey }
     *     
     */
    public RegionKey getRegionKey() {
        return regionKey;
    }

    /**
     * Sets the value of the regionKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegionKey }
     *     
     */
    public void setRegionKey(RegionKey value) {
        this.regionKey = value;
    }

    /**
     * Gets the value of the targetingGroupKey property.
     * 
     * @return
     *     possible object is
     *     {@link TargetingGroupKey }
     *     
     */
    public TargetingGroupKey getTargetingGroupKey() {
        return targetingGroupKey;
    }

    /**
     * Sets the value of the targetingGroupKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link TargetingGroupKey }
     *     
     */
    public void setTargetingGroupKey(TargetingGroupKey value) {
        this.targetingGroupKey = value;
    }

    /**
     * Gets the value of the videoAdKey property.
     * 
     * @return
     *     possible object is
     *     {@link VideoAdKey }
     *     
     */
    public VideoAdKey getVideoAdKey() {
        return videoAdKey;
    }

    /**
     * Sets the value of the videoAdKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link VideoAdKey }
     *     
     */
    public void setVideoAdKey(VideoAdKey value) {
        this.videoAdKey = value;
    }

}
