
package com.google.api.ads.adwords.jaxws.v201209.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Data representing a criterion-level CPM bid.
 *           
 * 
 * <p>Java class for ManualCPMAdGroupCriterionBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ManualCPMAdGroupCriterionBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201209}AdGroupCriterionBids">
 *       &lt;sequence>
 *         &lt;element name="maxCpm" type="{https://adwords.google.com/api/adwords/cm/v201209}Bid" minOccurs="0"/>
 *         &lt;element name="bidSource" type="{https://adwords.google.com/api/adwords/cm/v201209}BidSource" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ManualCPMAdGroupCriterionBids", propOrder = {
    "maxCpm",
    "bidSource"
})
public class ManualCPMAdGroupCriterionBids
    extends AdGroupCriterionBids
{

    protected Bid maxCpm;
    protected BidSource bidSource;

    /**
     * Gets the value of the maxCpm property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getMaxCpm() {
        return maxCpm;
    }

    /**
     * Sets the value of the maxCpm property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setMaxCpm(Bid value) {
        this.maxCpm = value;
    }

    /**
     * Gets the value of the bidSource property.
     * 
     * @return
     *     possible object is
     *     {@link BidSource }
     *     
     */
    public BidSource getBidSource() {
        return bidSource;
    }

    /**
     * Sets the value of the bidSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link BidSource }
     *     
     */
    public void setBidSource(BidSource value) {
        this.bidSource = value;
    }

}
