
package com.google.api.ads.adwords.jaxws.v201209.video;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BaseCriterion.Type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="BaseCriterion.Type">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="KEYWORD"/>
 *     &lt;enumeration value="SEARCH_KEYWORD"/>
 *     &lt;enumeration value="CONTENT_KEYWORD"/>
 *     &lt;enumeration value="CONTENT_LABEL"/>
 *     &lt;enumeration value="VIDEO"/>
 *     &lt;enumeration value="CHANNEL"/>
 *     &lt;enumeration value="VERTICAL"/>
 *     &lt;enumeration value="RUN_OF_YOUTUBE"/>
 *     &lt;enumeration value="YOUTUBE_PLACEMENT"/>
 *     &lt;enumeration value="WEB_SITE"/>
 *     &lt;enumeration value="AGE"/>
 *     &lt;enumeration value="GENDER"/>
 *     &lt;enumeration value="INTEREST"/>
 *     &lt;enumeration value="USER_LIST"/>
 *     &lt;enumeration value="LANGUAGE"/>
 *     &lt;enumeration value="LOCATION"/>
 *     &lt;enumeration value="SCHEDULE"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "BaseCriterion.Type")
@XmlEnum
public enum BaseCriterionType {


    /**
     * 
     *                 Usable only at campaign level.
     *               
     * 
     */
    KEYWORD,
    SEARCH_KEYWORD,
    CONTENT_KEYWORD,
    CONTENT_LABEL,
    VIDEO,
    CHANNEL,
    VERTICAL,
    RUN_OF_YOUTUBE,
    YOUTUBE_PLACEMENT,
    WEB_SITE,
    AGE,
    GENDER,
    INTEREST,
    USER_LIST,
    LANGUAGE,
    LOCATION,
    SCHEDULE,

    /**
     * 
     *                 <span class="constraint Rejected">Used for return value only. An enumeration could not be processed, typically due to incompatibility with your WSDL version.</span>
     *               
     * 
     */
    UNKNOWN;

    public String value() {
        return name();
    }

    public static BaseCriterionType fromValue(String v) {
        return valueOf(v);
    }

}
